// Custom Server Settings: Challenge ProMode Arena - Quake3
// --------------------------------------------------------
// Version: 0.99x1
// Date:    10 Jun 2002
// Email:   arQon@promode.org
// WWW:     http://www.ProMode.org
// IRC:     irc.enterthegame.com: #promode
//
//
// Recommended dedicated server command-line:
//
//    quake3 +set dedicated 2 +set fs_game cpma +set vm_game 2 +exec <config>
//

// pmove_fixed <0|1>
//	Enable server to utilize enhanced client sampling.  (Default = 0)
//		* 0 - Disabled
//		  1 - Enabled
//
// fraglimit <value>
//	In Tourney/FFA/TDM, the # of frags to win.
//      In CTF, the # of captures to win.
//	In CTFS, the # of points needed to win the overall match
//	In CA and DA, the # of rounds needed to win the overall match
//
// server_maxpacketsmin <value>
//	Specifies minimum client cl_maxpackets setting (Default = 30,
//	0 = no lower limit on client cl_maxpackets).
//
// server_maxpacketsmax <value>
//	Specifies maximum client cl_maxpackets setting (Default = 100,
//	0 = no upper limit on client cl_maxpackets).
//
// server_motdfile <filename>
//      Defines an external file from which to read MOTD message to
//      display to a client.  This file will override
//      any server_motdX variable setting (defined below).
//      (Default = "none" - No MOTD file defined).
//
// server_motdX <string> (X = 1 through 8)
//      Sets the server MOTD.  Each var is used to display a line in the
//      MOTD.  The message is terminated when the first NULL ("") line is
//      encountered.
//
// server_realping <0|1>
//	Specifies whether spectators who are following players in the
//	game will have their real ping reflected in the scoreboard
//	and remote server queries.
//		* 0 - Copy followed players ping (id default)
//		  1 - Show spec's real ping.
//
// server_promode <0|1>
//	Enables "ProMode" server settings for any gametype.
//		  0 - Challenge Quake3 settings (CQ3)
//		* 1 - Promode-style of play
//
// server_instagib <0|1>
//	Enables InstaGib mode. (Default = 0)
//		* 0 - No InstaGib
//		  1 - InstaGib
//
// server_fastrail <0|1>
//	Affects CPM Railgun reload time. (Default = 0)
//		* 0 - 1500ms
//		  1 - 1000ms
//
// server_fallingdamage <0|1>  (Default = 1)
//	  0 - No damage done to player when falling.
//	* 1 - Player takes damage when falling.
//
// server_thrufloors <0|1>
//	* 0 - Blast damage does NOT radiate through thin surfaces.
//	  1 - Default id Quake3 (version 1.17 and prior) format where
//            blast damage can be given through thin surfaces.
//
// server_timenudgemin <value>
//	Specifies minimum client cl_timenudge setting (Default = 0,
//	no lower limit on client cl_timenudge).
//
// server_timenudgemax <value>
//	Specifies maximum client cl_timenudge setting (Default = 0,
//	no upper limit on client cl_timenudge).
//
// server_ratemin <value>
//	Specifies minimum client rate setting (Default = 0,
//	no lower limit on client rate).
//
// server_record <value>
//	1 - record demos
//	2 - take screenshots
//	4 - add server name to demo/screenshot filenames
//	8 - add server time when game starts to filenames
//
// server_availmodes <value>
//	* -1 - all modes available
//	   1 - FFA
//	   2 - 1v1 / DM
//	   4 - ALTCA
//	   8 - TDM
//	   16 - CTF
//	   32 - CA
//	   64 - Instagib FFA
//	   128 - Instagib TDM
//	   256 - Instagib CTF
//	   512 - DA
//	   1024 - FTEU
//	   2048 - FTUS
//	   4096 - CTFS
//
// server_ospauth <0|1>
//	  0 - No bot-protection
//	* 1 - Latest bot-protection
//
// server_chatfloodprotect <value>
//	Controls max # of msgs per second (Default = 0)
//	e.g. server_chatfloodprotect 2 means you can talk every 500ms	
//	
set sv_pure 1
set sv_hostname "Challenge ProMode Arena"
set sv_maxclients 10
set bot_enable 0
set dmflags 0
set timelimit 20
set fraglimit 30
set pmove_fixed 0
set server_maxpacketsmin 30
set server_maxpacketsmax 100
set server_motdfile "none"
set server_motd1 " ^B^3*** Welcome to Challenge ProMode Arena *** "
set server_motd2 "  "
set server_motd3 "               http://www.promode.org"
set server_motd4 ""
set server_motd5 ""
set server_motd6 ""
set server_motd7 ""
set server_motd8 ""
set server_promode 1
set server_instagib 0
set server_fastrail 0
set server_fallingdamage 1
set server_realping 0
set server_record 0
set server_thrufloors 0
set server_timenudgemin 0
set server_timenudgemax 0
set server_ratemin 0
set server_record 0
set server_availmodes -1
set server_ospauth 1
set server_chatfloodprotect 0

// =============
//    REFEREE
// =============
// ref_password <string>
//	Sets the password for in-game "referee" (admin) access.
//	Setting this password to "none" disables the referee feature
//	(default = "none").
//
set ref_password "none"

// ========================
//    GENERAL Q3 OPTIONS
// ========================
// bot_autoload <string>
//	Specifies names of bots to add after the server has loaded.
//	Bot names are delimited by spaces.  This variable allows the
//	server admin to automatically load bots on map start as if
//	the admin issued "addbot" commands.  ANY name can be used
//	for the bots.
//
// bot_checktime <value>
//	Specifies the number of seconds between bots joining/leaving
//	a server based on bot_minplayers setting (default = 10).
//
// g_gametype <value>
//	Specifies gametype the server is to start on startup:
//		0 - Free For All DM (FFA)  [default]
//		1 - 1v1 DM
//		2 - Single-Player
//		3 - Team Deathmatch
//		4 - Capture The Flag (CTF) Teamplay
//		5 - Clan Arena (CA)
//		6 - FreezeTag
//		7 - Capture Strike (CTFS)
//	It is STRONGLY recommended that you use mode_start instead,
//	as that enforces a consistent set of rules and is more capable.
//
// g_inactivity <seconds>
//	Specifies how long a player can idle before being kicked
//	from the server.  A value of "0" disables this feature
//	(default = 0).
//
// g_log <logfilename>
//	Specifies the name of the file to save all in-game
//	information.  Setting this to "" disables logging
//	(default = "games.log").
//
//
set bot_checktime 10
set g_gametype 0
set g_inactivity 0
set g_log ""

// ==============================
//    MATCH-RELATED PARAMETERS
// ==============================
// g_doWarmup <0|1>
//	Specifies whether a match should have a "warm-up"
//	period before actual gamplay begins.  In almost all
//	cases, this option SHOULD be set to 1 to make it
//	a more fair of a fight for slow connects from a
//	previous level (default = 0).
//
// g_warmup <seconds>
//	Specifies the maximum length of the warmup period,
//	if it is enabled.  This warmup period is shortened to
//	10 seconds once enough players are "ready".  If this
//	value is set to 0, and g_doWarmup is set to 1, then
//	players must manually "ready" themselves to start the
//	match -- much like the traditional method in such mods
//	as OSP Tourney DM for Quake2 (default = 20).
//
// match_mutespecs <0|1>
//	Enables/disables spectator chat being displayed to active
//	players in the game when a match is in progress (default = 0).
//
// match_startrespawn <0|1>
//	Determines whether clients respawn randomly when a round
//	begins for CA (ClanArena) and DA (DuelArena) mode.  This affects
//	*only* the CA/DA gametypes.
//		* 0 - Clients do NOT respawn on round start.
//		  1 - Clients respawn when the round begins.
//
// match_readypercent <percentage from 1-100>
//	Specifies the percentage of in-game players who must be
//	"ready" to start a match.  This can also be used to get
//	a match going on an otherwise long g_warmup "warmup" period
//	(default = 51).
//
// match_timeoutcount <value>
//	Specifies the number of timeouts allowed for each team in
//	teamplay (DM or CTF), or each player in 1v1 (default = 3).
//
// match_timeoutlength <seconds>
//	Specifies the length (in seconds) of each timeout
//	(default = 60).
//
// match_overtime <0|1|2>
//	* 0 - Sudden Death (first score decides)
//	  1 - Timed Overtime (additional rounds of 5 mins each until a winner)
//	  2 - No Overtime (can end in tie)
//	  For MODES: FFA and 1v1 use 0, TDM uses 1, CTF uses 2
//	  Timed overtime for FFA and 1v1 use 2-minute rounds
//	
// match_maxsuicides <value>
//	players who /kill more than this many times will be auto-banned
//	stops them screwing up TDM games and forcing draws in DA
//	(default = 0).
//
// match_dropitems (1-3, bitfields, default 0, TDM and CTF only)
//	1 - can drop weapons+ammo
//	2 - can drop flags
//	\drop - drops the current weapon and all ammo for it (SG to PG only)
//	\drop <SG|GL|RL|LG|RG|PG> - drops that weapon and all ammo for it
//	\drop <bullets|shells|grenades|rockets|lightning|slugs|cells> - drops a "box" of ammo
//	\drop flag
//	\drop ammo - drops a "box" of the current weapon's ammo
//	note: a "box" IS a box, as determined by the gameplay rules
//	in OSP, certain "drop" box ammo counts are wrong (LG, PG).
//	Mode TDM enables weapon dropping by default (CPM and CQ3)
//
// match_WinDelayDA (in milliseconds, default 1000)
//	controls how long after the kill a winner is actually declared
//	so if you rail someone but then their rocket takes you out right after that,
//	the round is ruled a draw
//
// match_winDelayCA (in milliseconds, default 4000)	
//	same as match_WinDelayDA except for mode CA
//
set g_doWarmup 0
set g_warmup 20
set match_startrespawn 0
set match_mutespecs 0
set match_readypercent 51
set match_timeoutcount 0
set match_timeoutlength 60
set match_overtime 0
set match_dropitems 0
set match_WinDelayDA 1000
set match_WinDelayCA 4000

// ==============
//    TEAMPLAY
// ==============
// team_allcaptain <0|1>
//	* 0 - Normal team captain assignments (1 per team).
//	  1 - All players on a team have the ability to invite
//		spectators or to call a time-out.  There is still
//		a single "true" captain.
//
// server_armordamageteam <0|1>
//	  0 - No armor is stripped for team-inflicted blast damage
//	* 1 - Armor is stripped for team-inflicted blast damage
//		** CA (Clan Arena) Mode only
//
// server_armordamageself <0|1>
//	* 0 - No armor is stripped for self-inflicted blast damage
//	  1 - Armor is stripped for self-inflicted blast damage
//		** CA (Clan Arena) and DA (DuelArena) Mode only
//
// g_weaponRespawnTDM <value>
//	Specifies the respawn time (in seconds) of weapons for Team
//	DM gametype (default = 30).
//
// g_weaponRespawnCTF <value>
//      Specifies the respawn time (in seconds) of weapons for CTF
//      gametype (default = 5)
//
// g_weaponrespawn <value>
//    Specifies the weapon respawn time for all gametypes EXCEPT
//    Team DM and CTF (default = 15 in ProMode, 5 in Non-ProMode).
//
// g_friendlyFire <0|1>
//	  0 - Teammates cant hurt each other.
//	* 1 - Teammates CAN inflict damage on fellow teammates.
//
// g_teamAutoJoin <0|1>
//	* 0 - Places connecting players in spectator mode once they
//		have fully connected to the game.
//	  1 - Automatically places a player on the team with the
//		lowest number of players (or score if equal player
//		counts) after fully connecting to the game.
//
// g_teamForceBalance <0|1>
//	* 0 - Allows players to join any team, regardless of player
//		counts.
//	  1 - Forces players to join the team with the lower number
//		of players, and if equal, then the team with the lower
//		score.
//
// g_powerupRespawnFFA <value>
//	Specify powerup respawn time in FFA (default: 60)
//	Battlesuit always 120
//
// g_powerupRespawnTDM <value>
//	Specify powerup respawn time in TDM (default: 60)
//	Battlesuit always 120
//
// g_powerupRespawnCTF <value>
//	Specify powerup respawn time in CTF (default: 120)
//	Battlesuit always 120
//
set team_allcaptain 1
set server_armordamageteam 1
set server_armordamageself 0
set g_weaponRespawnTDM 30
set g_weaponRespawnCTF 5
set g_weaponrespawn 15
set g_friendlyFire 1
set g_teamAutoJoin 0
set g_teamForceBalance 0
set g_powerupRespawnFFA 60
set g_powerupRespawnTDM 60
set g_powerupRespawnCTF 120

// ==========
//    HOOK
// ==========
// hook_enable <0|1|2>
//	* 0 - Disables grappling hook
//	  1 - Allows offhand hook with: bind <key> +button5
//	  2 - Allows onhand hook with: bind <key> weapon 10
//
// hook_delaytime <milliseconds>
//	Specifies the minimum number of MILLISECONDS that a player
//	can redeploy a hook after use (default = 750).
//
// hook_holdtime <seconds>
//	Specifies the maximum number of seconds that a player's
//	hook will remain attached (default = 3).
//
// hook_range <units>
//	Specifies the maximum length of the hook cable (default = 1800)
//	
// hook_sky <0|1>
//	* 0 - Players cannot hook the "sky" surface.
//	  1 - Players can hook onto any surface (except other players).
//
// hook_speed <value>
//	The speed at which the hook leaves from the player's position
//	and makes contact with a surface on the map (default = 1200).
//
// hook_speedpull <value>
//	The speed at which a player is pulled along the hook's path
//	after it has landed on a valid map surface (default = 950).
//
set hook_enable 0
set hook_delaytime 750
set hook_holdtime 3
set hook_sky 0
set hook_speed 1200
set hook_speedpull 950

// ========================
//    MODE CONFIG VOTING
// ========================
// mode_start <mode_id>
//      Specifies mode to start with (or switch to if server is idle).
//	   0 - FFA
//	   1 - 1v1 / DM
//	   2 - ALTCA
//	   3 - TDM
//	   4 - CTF
//	   5 - CA
//	   6 - Instagib FFA
//	   7 - Instagib TDM
//	   8 - Instagib CTF
//	   9 - DA
//	   10 - FTEU
//	   11 - FTUS
//	   12 - CTFS
//
// mode_idletime <minutes>
//	how long before idle servers reset to default mode+map (default: 10)
//
set mode_start "1"
set mode_idletime 10

// ============
//    VOTING
// ============
// g_allowVote <0|1>
//        0 - Disables all client voting on the server.
//      * 1 - Allows clients to vote on server settings.
//
// vote_limit <value>
//      Maximum # of votes allowed during a map for a non-referee
//      (default = 5).
//
// vote_allow_*
//	  0 - Disables a particular vote item.
//	* 1 - Allows clients to vote on the item.
//
//	---> Note the default behavior for vote_allow_ref
//	     is set to 0 (disabled).  If enabled, it also
//	     requires at least 3 players to be connected
//	     to the server.  The referee status of an
//	     elected player is removed at the end of the
//	     map or if they switch arenas.
//
// vote_allow_scorelimit <0|1>
//    Enables clients to set frag/capture/round limits in all
//	modes of play.
//
// vote_allow_falling <0|1>
//	Enables/disables falling damage.
//
// vote_allow_flood <0|1>
//	Specifies if the server setting sv_floodprotect is
//	to be switched off.  When clients vote for this
//	option, they will be turning off the sv_floodprotect
//	setting, which is useful in teamplay scenarios where
//	teamchat is important (and shouldn't be limited to
//	1 message per second) (default = 1).
//
// items +/-<item>
//	MG Machine Gun		SG Shotgun		GL Gren Launcher
//	RL Rocket Launcher	LG Lightning Gun	RG Railgun
//	PG Plasma Gun		BFG Big Newbie Gun	AMMO Ammunition
//	5H Health Sphere	25H Yellow Health	50H Gold Health
//	MH Megahealth		5A Armor Shard		GA Green Armor
//	YA Yellow Armor		RA Red Armor
//	QUAD Quad Damage	SUIT Battle Suit	HASTE Haste
//	INVIS Invisibility	REGEN Regeneration	FLIGHT Flight
//	MEDKIT Medkit		TELE Personal Tele
//	Grouped items:
//	HEALTH All Health	ARMOR All Armor		RUNES All Powerups
//	ITEMS All Holdables	ALL Everything
//
// vote_allow_pmove <0|1>
//      Allows clients to toggle server-imposed enhanced
//      client sampling (pmove_fixed).
//
// vote_allow_mutespecs <0|1>
//	Toggles the "match_mutespecs" server setting.  This
//	is only applicable for teamplay modes of play.
//
// vote_allow_startrespawn <0|1>
//	Allows clients to change whther they are respawned on
//	round start for the CA gametype.
//
// vote_allow_pure <0|1>
//	Allows clients to alter a server's "sv_pure" setting.
//	If a server is voted to "pure 0" from a "sv_pure 1" setting,
//	the server WILL revert back to "sv_pure 1" after the next
//	client connects to the server.  This allows for easy
//	management of letting things like QTV/GTV to connect without
//	the aid of an admin.
//
// vote_allow_fastrail <0|1>
//	Allows clients to change the rail reload time in ProMode play
//	between 1000ms and 1500ms.
//
// vote_allow_instagib <0|1>
//	Allows clients to enable/disable InstaGib mode.
//
// armorsystem <0|1|2|3>
//	Allows different ProMode armor systems to be used.
//		0 - CPMA Duel (S:5 GA:50 YA:100 RA:150)
//		1 - CPMA Team (S:5 GA:50 YA:100 RA:200)
//		2 - Quake1 (S:2 GA:100 YA:150 RA:200)
//		3 - Quake2 (S:2 GA:25 YA:50 RA:100)
//
// vote_allow_arenatype <0|1>
//      Allows clients to change game types within an arena/map.
//
// vote_percent <1-100>
//	Specifies the percentage of accepting clients for a
//	vote to pass.
//
// vote_allow_weaponspawn <0|1>
//	Allows clients to specify the weapon respawn delay.
//
// vote_allow_poweruprespawn <0|1>
//	Allows clients to set the powerup respawn delay.
//
// vote_allow_selfdamage <0|1>
//	Allows clients to vote on damage to self.
//
// vote_allow_armor <0|1>
//	Allows clients to specify starting amount of armor.
//
// vote_allow_dropitems <0|1>
//	Allows clients to ability to drop weapons/ammo/flag.
//
// vote_allow_allcaptain <0|1>
//	Allows all players to have limited team control commands.
//
// vote_allow_random <0|1>
//	Allows clients to pick a number from 1 to <value>.
//
// vote_allow_thaw <0|1>
//	Allows clients to change defrost time (freeze-only).
//
// vote_allow_exec <0|1>
//	Allows clients to exec config files.
//
// vote_allow_startweapon <0|1>
//	Allows clients to vote on an additional starting weapons (freeze-only).
//
// vote_allow_warmup <0|1>
//	Allows clients to specify warmup duration.
//
// vote_allow_reload <0|1>
//	Allows clients to specify rail reloading time in Instagib
//	
set g_allowVote 1
set vote_allow_allcaptain 1
set vote_allow_scorelimit 1
set vote_allow_startrespawn 1
set vote_allow_falling 1
set vote_allow_flood 1
set vote_allow_hook 1
set vote_allow_items 1
set vote_allow_kick 1
set vote_allow_map 1
set vote_allow_maxpackets 1
set vote_allow_mutespecs 1
set vote_allow_pmove 1
set vote_allow_promode 1
set vote_allow_pure 1
set vote_allow_fastrail 1
set vote_allow_instagib 1
set vote_allow_armorsystem 1
set vote_allow_vstr 1
set vote_allow_referee 0
set vote_allow_teamdamage 1
set vote_allow_thrufloors 1
set vote_allow_timelimit 1
set vote_allow_timenudge 1
set vote_allow_arenatype 1
set vote_limit 5
set vote_percent 50
set vote_allow_weaponspawn 1
set vote_allow_poweruprespawn 1
set vote_allow_selfdamge 1
set vote_allow_armor 1
set vote_allow_dropitems 1
set vote_allow_random 1
set vote_allow_thaw 1
set vote_allow_exec 1
set vote_allow_startweapon 1
set vote_allow_warmup 1
set vote_allow_reload 1


// ==================
//    MAP SETTINGS
// ==================
// map_cfgdir <value>
//	sets where the maplists etc are read from (default: "cfg-maps")
//
// map_delay <value>
//	no map voting allowed for this long after a map change
//	unless everyone's loaded the new map and is ready to play
//	stops one lamer with a fast machine forcing changes to a map
//	by voting it in before anyone else has managed to reconnect
//	(default: 30)
//
// map_rotate <0|1>
//	if non-zero and a MODE is enabled, server will rotate to
//	the next map in the list for that mode when fl/tl/cl/rl is hit
//	map_rotate is ignored if the server is in 1v1 mode
//	or is running a multiarena mapnd of each match (default: 0)
//
set map_cfgdir "cfg-maps"
set map_delay 30
set map_rotate 0



map cpm1a
